Skip to main content
`Ctrl`+`K`

# SNESLineSearchGetNorms

Gets the norms for the current solution `X`, the current update `Y`, and the current function value `F`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchGetNorms(SNESLineSearch linesearch, PetscReal *xnorm, PetscReal *fnorm, PetscReal *ynorm)

Not Collective

## Input Parameter

- linesearch - the line search context

## Output Parameters

- xnorm - The norm of the current solution

- fnorm - The norm of the current function, this is the `norm(function(X))` where `X` is the current solution.

- ynorm - The norm of the current update (after scaling by the linesearch computed `lambda`)

## Notes

Some values may not be up-to-date at particular points in the code.

This, in combination with `SNESLineSearchSetNorms()`, allow the line search and the `SNESSolve_XXX()` to share computed values.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchSetNorms()`, `SNESLineSearchGetVecs()`

## Level

developer

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages